Page MenuHomePhabricator

Remove Triple Vendor check when creating Linux Platform
ClosedPublic

Authored by ted on Mar 31 2015, 11:59 AM.

Details

Summary

The Linux Platform shouldn't care about the Vendor field in the Triple. Currently it allows a value of "PC", or "unknown" if LLDB was built on Linux. This patch removes that check, so the Vendor field isn't touched. This will allow the Linux Platform to be created when using a Triple of *-*-Linux.

Diff Detail

Event Timeline

ted updated this revision to Diff 22992.Mar 31 2015, 11:59 AM
ted retitled this revision from to Remove Triple Vendor check when creating Linux Platform.
ted updated this object.
ted edited the test plan for this revision. (Show Details)
ted added reviewers: clayborg, vharron.
ted added a subscriber: Unknown Object (MLST).
clayborg accepted this revision.Mar 31 2015, 12:39 PM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Mar 31 2015, 12:39 PM
sas accepted this revision.Mar 31 2015, 12:40 PM
sas added a reviewer: sas.
sas added a subscriber: sas.

This is good. Had some issues with this in the past.

ted added a comment.Apr 3 2015, 2:59 PM

Friendly Ping

tberghammer accepted this revision.Apr 7 2015, 2:50 AM
tberghammer added a reviewer: tberghammer.
tberghammer added a subscriber: tberghammer.

LGTM (you don't have to wait for an approval from @vharron)

ted closed this revision.Apr 10 2015, 2:22 PM